function a = dat_vehicles_reg_rbf()

load('dat_vehicles_reg_rbf');

end


function dat_vehicles_reg_rbf_make()

a = dat_vehicles;
a = fix_labels(a);

kernel.type = 1;
kernel.gamma = 0.03601;

classifier.settings.lambda = 10^(-4);
classifier.settings.lambda_mohri = 1;
classifier.settings.usecholesky = 1;
classifier.settings.weighted = 0;

Kll = comp_kernel2(kernel,+a);
ytrn = getlab(a);

[model] = reg_LS_kernelized_train_noPR2(Kll, ytrn, classifier.settings);
yhat = reg_LS_kernelized_predict_noPR2(Kll, model);

a = prdataset(a,yhat);
save('dat_vehicles_reg_rbf','a');

end

